# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/memory-controllers/ddr/jedec,ddr4.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: DDR4 SDRAM compliant to JEDEC JESD79-4D

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>

allOf:
  - $ref: jedec,sdram-props.yaml#

properties:
  compatible:
    items:
      - pattern: "^ddr4-[0-9a-f]{4},[a-z]{1,20}-[0-9a-f]{2}$"
      - const: jedec,ddr4

required:
  - compatible
  - density
  - io-width

unevaluatedProperties: false

examples:
  - |
    ddr {
        compatible = "ddr4-00ff,azaz-ff", "jedec,ddr4";
        density = <8192>;
        io-width = <8>;
    };
